Bug 519610

Summary: Installation error at the partition step using "Use free space" and checked "Review and (sorry can't see the rest)"
Product: [Fedora] Fedora Reporter: Xavier Lapointe <lapointe.xavier>
Component: anacondaAssignee: David Lehman <dlehman>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: lapointe.xavier, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: anaconda_trace_hash:fa2d26e0b3b230799d0696df9b5579fd7de014fa82cb86c18d90dd1daf4ec9ad
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-05 06:32:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Attached traceback automatically from anaconda.
none
anaconda traceback none

Description Xavier Lapointe 2009-08-27 01:57:33 UTC
The following was filed automatically by anaconda:
anaconda 11.5.0.59 exception report
Traceback (most recent call first):
  File "/tmp/updates/storage/devices.py", line 2048, in _setSize
    raise ValueError("not enough free space in volume group")
  File "/tmp/updates/storage/partitioning.py", line 1163, in growLVM
    lv.size += grow_amounts[lv.name]
  File "/tmp/updates/storage/partitioning.py", line 197, in doAutoPartition
    growLVM(anaconda.id.storage)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
ValueError: not enough free space in volume group

Comment 1 Xavier Lapointe 2009-08-27 01:57:40 UTC
Created attachment 358797 [details]
Attached traceback automatically from anaconda.

Comment 2 Xavier Lapointe 2009-08-27 02:01:25 UTC
My partition were also empty ... but it was after a first fail attempt with  Bug 491754 -  DeviceError: cannot commit to disk sda after 5 attempts

Comment 3 Xavier Lapointe 2009-08-27 12:47:47 UTC
Just remembered that there was only one empty space ( 299 mb ) and the others were formatted ( by the previous failed installation ), but also empty. So it should just come back to the previous screen if there was not enough empty space with a warning message, instead of failing [ ... ]

Comment 4 Chris Lumens 2009-08-27 13:50:06 UTC
Is this improved in F12 Alpha?  There's been a fair number of partitioning fixes since F11 came out, some specifically for these issues you're seeing right now.

Comment 5 Xavier Lapointe 2009-08-27 13:56:02 UTC
Maybe I should try the new Alpha release to confirm.

Comment 6 Xavier Lapointe 2009-08-27 17:24:12 UTC
Just tried the Alpha release and have the same Bug 491754 -  DeviceError: cannot commit to disk sda after 5 attempts  ... but that's not part of this current bug anyway.

Comment 7 Marian Ganisin 2009-10-01 15:01:48 UTC
Created attachment 363353 [details]
anaconda traceback

Exception is still raising with current i386 rawhide, it occured when 'Use free space' choice was used (not necessarily with 'Review' checked).
Reported information is correct, there is most probably no free space (all available space is allocated in partitions, lvs, md raid members, filesystems, ...), just the report shouldn't be so ultimate. ;)

Comment 8 Bug Zapper 2009-11-16 11:44:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-11-04 10:21:03 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-12-05 06:32:59 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.